Type to search.

Perform text embedding inference on the service

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges monitor_inference

Path parameters

inference_id string required

The inference Id

Query parameters

timeout string · default: 30s

Specifies the amount of time to wait for the inference request to complete.

Request body

input union string | string[] required

Inference input. Either a string or an array of strings.

input_type string

The input data type for the text embedding model. Possible values include:

  • SEARCH
  • INGEST
  • CLASSIFICATION
  • CLUSTERING Not all services support all values. Unsupported values will trigger a validation exception. Accepted values depend on the configured inference service, refer to the relevant service-specific documentation for more info.
Note

The input_type parameter specified on the root level of the request body will take precedence over the input_type parameter specified in task_settings.

task_settings object

Task settings for the individual inference request. These settings are specific to the <task_type> you specified and override the task settings specified when initializing the service.

Response

application/json